package nl.kallestruik.dlib

class MathHelper {

    /**
     * Clamp an integer between a min and a max value.
     * @param value The value to clamp.
     * @param min The minimal value.
     * @param max The maximum value.
     */
    fun clamp(value: Int, min: Int, max: Int): Int {
        return if (value < min) min else value.coerceAtMost(max)
    }

    /**
     * Force a value to between 0 15 (inclusive) wrapping around to 15 at negative values.
     * @param value The value.
     * @return A positive int between 0 and 15 (inclusive).
     */
    fun chunkAbs(value: Int): Int {
        return if (value >= 0)
            value % 16
        else
            16 + (value % 16)
    }
}